### Method

# Ide TreeNode is_empty

#### Declaration

    gboolean
    ide_tree_node_is_empty (
      IdeTreeNode* self
    )

#### Description

This function checks if `self` is a synthesized “empty” node.

Empty nodes are added to `IdeTreeNode` that may have children in the future, but are currently empty. It allows the tree to display the “(Empty)” contents and show a proper expander arrow.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `TRUE` if `self` is a synthesized empty node.